package request

import common "git.echol.cn/loser/lckt/model/common/request"

type BalancePay struct {
	UserId  uint   `json:"user_id" binding:"required"`  // 用户ID
	OrderNo string `json:"order_no" binding:"required"` // 订单号
	OrderId uint   `json:"order_id" binding:"required"` // 订单ID
}

type GetOrderList struct {
	common.PageInfo
	Status int `json:"status" form:"status"` // 订单状态
}

type PayReq struct {
	UserId    uint64 `json:"user_id"` // 用户ID
	OrderId   uint   `json:"order_id"`
	Mode      string `json:"mode"` // h5  jsapi
	WxCode    string `json:"wx_code"`
	PayMethod int    `json:"pay_method" vd:"$>0; msg:'参数不能为空'"`
	OrderNo   string `json:"order_no" vd:"@:len($)>0; msg:'订单编号参数不能为空'"`
}
